﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ReusableCache.Provider;

namespace CodeCampCacheDemo_WebRole
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }
        protected void GetSession(object sender, EventArgs e)
        {
            List<string> lst = Get("name") as List<string>;
            Label1.Text = "GetSession";
            DataBind(lst);
        }
        protected void SetSession(object sender, EventArgs e)
        {
            List<string> lst = Get("name") as List<string>;
            if (lst == null)
                lst = new List<string>();
            lst.Add(TextBox1.Text);
            Set("name", lst);
            Label1.Text = "SetSession";
            DataBind(lst);
        }
        void DataBind(List<string> lst)
        {
            GridView1.DataSource = lst;
            GridView1.DataBind();
        }
        object Get(string key)
        {
            //return Session[key];
            return ReusableCacheProviderManager.Provider.Get(key);
        }
        void Set(string key, object value)
        {
            Session[key] = value;
            ReusableCacheProviderManager.Provider.Put(key, value, new TimeSpan(0, 0, 20));
        }
    }
}
